Bug 259182 - net-im/tg_owt: explicitly set USE_XORG= xtst (implicitly pulled in via X11 of pulseaudio)
Summary: net-im/tg_owt: explicitly set USE_XORG= xtst (implicitly pulled in via X11 of...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Gleb Smirnoff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-15 10:33 UTC by Benjamin Takacs
Modified: 2021-12-10 22:00 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (henry.hu.sh)
nimaje+fbz: maintainer-feedback? (henry.hu.sh)
nimaje+fbz: merge-quarterly?


Attachments
add USE_XORG= xtst (453 bytes, patch)
2021-10-15 10:33 UTC, Benjamin Takacs
henry.hu.sh: maintainer-approval+
Details | Diff
net-im/tg_owt patch for 2021Q4 (453 bytes, patch)
2021-11-19 15:17 UTC, sega01
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Takacs 2021-10-15 10:33:39 UTC
Created attachment 228717 [details]
add USE_XORG= xtst

tg_owt depends on xtst which gets pulled in via the X11 option of audio/pulseaudio with default options.

When the X11 option of pulseaudio is deselected tg_owt fails to build in the configure phase.

Requesting MFH as this is a build fix.

QA:
* portlint: OK (looks fine.)
* I already build and use that with my customised options for some time and telegram-desktop works fine
Comment 1 Henry Hu 2021-10-18 00:09:34 UTC
Comment on attachment 228717 [details]
add USE_XORG= xtst

Ah, this was added to telegram-desktop, but I forgot to add it here. Thanks for the patch.
Comment 2 Li-Wen Hsu freebsd_committer 2021-10-18 19:41:17 UTC
Thanks for the patch. If possible, please set your name in https://bugs.freebsd.org/bugzilla/userprefs.cgi?tab=account so we can use it in `git commit --author`
Comment 3 sega01 2021-11-18 18:24:18 UTC
Could this be backported to 2021Q4 when it gets in? Thank you!
Comment 4 commit-hook freebsd_committer 2021-11-18 22:10:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e4f31ebae421a3c46ca73f6f2c9be78ba9d61568

commit e4f31ebae421a3c46ca73f6f2c9be78ba9d61568
Author:     Gleb Smirnoff <glebius@FreeBSD.org>
AuthorDate: 2021-11-18 04:09:20 +0000
Commit:     Olivier Cochard <olivier@FreeBSD.org>
CommitDate: 2021-11-18 22:04:32 +0000

    net-im/tg_owt: fix dependencies

    - Don't depend on audio backends, as their build is not disabled
    - Explicitly depend on libXtst

    PR:     257889
    PR:     259182

 net-im/tg_owt/Makefile | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)
Comment 5 sega01 2021-11-19 15:17:26 UTC
Created attachment 229597 [details]
net-im/tg_owt patch for 2021Q4

This is working for me locally to build net-im/tg_owt and net-im/telegram-desktop with 2021Q4. Right now, 2021Q4's net-im/tg_owt doesn't build.
Comment 6 sega01 2021-12-03 22:41:13 UTC
Could this be added to 2021Q4?

Thank you!
Comment 7 commit-hook freebsd_committer 2021-12-10 22:00:20 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7cd6ca8fca8fcf62d57fb23e98dcea98542a0580

commit 7cd6ca8fca8fcf62d57fb23e98dcea98542a0580
Author:     Gleb Smirnoff <glebius@FreeBSD.org>
AuthorDate: 2021-11-18 04:09:20 +0000
Commit:     Olivier Cochard <olivier@FreeBSD.org>
CommitDate: 2021-12-10 21:20:36 +0000

    net-im/tg_owt: fix dependencies

    - Don't depend on audio backends, as their build is not disabled
    - Explicitly depend on libXtst

    PR:     257889
    PR:     259182
    (cherry picked from commit e4f31ebae421a3c46ca73f6f2c9be78ba9d61568)

 net-im/tg_owt/Makefile | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)